The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Turck MMCache worth it / work on CPanel?

Discussion in 'General Discussion' started by Promethyl, Apr 20, 2004.

  1. Promethyl

    Promethyl Well-Known Member

    Joined:
    Mar 27, 2004
    Messages:
    68
    Likes Received:
    0
    Trophy Points:
    6
    Has anyone installed Turck MMCache yet? I've been hearing some fantastic things about it, and I want to hear it from other CPanel users before installing it.

    http://turck-mmcache.sourceforge.net/
     
  2. mr.wonderful

    mr.wonderful BANNED

    Joined:
    Feb 1, 2004
    Messages:
    345
    Likes Received:
    0
    Trophy Points:
    0
    It works great however you have to remember one thing. If your or any of your sites install ioncude and scripts that rely on iconcude those sites will be rendered useless, inoperable.
     
  3. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    126
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    What a lot of folks don't realize is that the latest ioncube loaders are MMCache compatible, so you needn't worry about incompatibility, provided you are up to date with the loaders.
     
  4. mr.wonderful

    mr.wonderful BANNED

    Joined:
    Feb 1, 2004
    Messages:
    345
    Likes Received:
    0
    Trophy Points:
    0
    Are you sure about that? It's not mmcache problem.

    I talked to ioncube developer and they are the ones who are preventing their loader from working with mmcache.

    The reason he gave me was that mmcache is open source and they are afraid on the security of their loader if enabled mmcache to work with it.

    But he said that they will might increase the security of their loader and then allow mmcache. (I am not sure when will that happen)
     
    #4 mr.wonderful, Apr 20, 2004
    Last edited: Apr 20, 2004
  5. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    126
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
  6. mr.wonderful

    mr.wonderful BANNED

    Joined:
    Feb 1, 2004
    Messages:
    345
    Likes Received:
    0
    Trophy Points:
    0
    Ye wtl thats great however in order to take advantage of that the software such as DRAMS which uses Iocube for example, must be compiled using the this version and unless the developers have compiled the code with this version its pretty much useless with MMCache.

    Also...

    Im looking for evidence that its compatible with MMCache and dont see that. That link says nothing about MMCache. You would think that if it was compatiable they would list that in their software options.
     
    #6 mr.wonderful, Apr 20, 2004
    Last edited: Apr 20, 2004
  7. Promethyl

    Promethyl Well-Known Member

    Joined:
    Mar 27, 2004
    Messages:
    68
    Likes Received:
    0
    Trophy Points:
    6
    This is now a great thread.

    I wanted to ask, because I have to make, and then make install, if I install this using the installation instructions,
    and then I go to install a higher version using the WHM, will it break?

    Do you guys run mmcache?

    I have several webpages which are heavy database load, but change infrequently, so this might by the way to go...
     
  8. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    126
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    I guess one would hope that up to date software is being compiled with the latest ioncube encoder. We use Drams+ ourselves, I'll have to test it out and see how it goes. I've been meaning to install MMCache, just haven't yet had the time.
     
  9. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    126
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    From that page:

    Perhaps what that means is that not only must the app be compiled with the latest encoder, but that the compiling user must specifically instruct the encoder to make it opensource extension compatible?
     
  10. perlchild

    perlchild Well-Known Member

    Joined:
    Sep 1, 2002
    Messages:
    279
    Likes Received:
    0
    Trophy Points:
    16
    In this case "user" means "developer" if they would use clearer language, I'm sure everyone would benefit.
    Software like modernbill and lpanel, both of which are rather up to date on loader versions(last I checked) will not work on mmcache, so I had to disable it(modernbill in zend encoder version works but not ioncube version)

    Since encoded versions of hosting billing automation software(think resellers) is probably one of the most prevalent uses of encoding, this is really unfortunate too. I built a forum-optimized server recently with mmcache and it's absolutely blindingly fast and very stable, I heartily recommend it.
    As long as you don't have ioncube-software on the box.
     

Share This Page